Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Sep 16 19:11
    greenkeeper[bot] commented #1134
  • Sep 16 19:10

    greenkeeper[bot] on chokidar-3.1.0

    fix(package): update chokidar t… (compare)

  • Sep 09 14:16
    greenkeeper[bot] commented #1137
  • Sep 09 14:16

    greenkeeper[bot] on terser-4.3.1

    fix(package): update terser to … (compare)

  • Sep 07 20:23
    greenkeeper[bot] commented #1137
  • Sep 07 20:23

    greenkeeper[bot] on terser-4.3.0

    fix(package): update terser to … (compare)

  • Sep 05 15:38

    greenkeeper[bot] on steal-2.2.3

    (compare)

  • Sep 05 15:34

    greenkeeper[bot] on steal-2.2.3

    chore(package): update steal to… (compare)

  • Sep 05 14:59

    matthewp on v2.2.3

    (compare)

  • Sep 05 14:59

    matthewp on master

    2.2.3 (compare)

  • Sep 05 14:38

    matthewp on main-forward-slash

    (compare)

  • Sep 05 14:38

    matthewp on master

    Support the forward slash behav… Merge pull request #1508 from s… (compare)

  • Sep 05 14:38
    matthewp closed #1508
  • Sep 05 14:38
    matthewp closed #1507
  • Sep 05 13:00
    matthewp opened #1508
  • Sep 05 13:00

    matthewp on main-forward-slash

    Support the forward slash behav… (compare)

  • Sep 04 21:26
    chasenlehara labeled #1507
  • Sep 04 21:26
    chasenlehara opened #1507
  • Sep 03 15:14
    matthewp unlabeled #1506
  • Sep 03 15:14
    matthewp labeled #1506
DaveO
@DaveO-Home
evalmachine.<anonymous>:13
        {Component, CanMap} = Can;
                            ^
SyntaxError: Unexpected token =
Ivo Pinheiro
@ivospinheiro
Ok try:
var Component = can.Component;
var Map = can.CanMap;
just replace the last line
DaveO
@DaveO-Home
Its interesting that I got the original error when I tried this;
import {Component, CanMap} from Can;
var Component ... same as original error.
Ivo Pinheiro
@ivospinheiro
weird can you console.log Can variable?
my initial thought was related with the fact that you are using now just can package.
that's why I've suggested to replace can-component and can-map by just can
DaveO
@DaveO-Home
I think your solution may work, I have the modules loaded in other modules and they may be failing, may take a bit to check out. However, this is a re-design?? i.e., I'm trying to use only the steal loader.
DaveO
@DaveO-Home
@ivospinheiro I'm going back to installing each can module(a maintenance nightmare), but that works with steal. Other bundlers have no problem building from just "can".
Chasen Le Hara
@chasenlehara
@DaveO-Home Using just the can module does work with steal (it’s what all our generated apps are doing now), although I haven’t seen it used with the steal() syntax
…or with {Component, CanMap} = Can. That’s just object destructuring, right? Is that file being transpiled?
Or, what I should ask is… where is the SyntaxError: Unexpected token = error being printed? Is that while building, or running a server, or…?
Chasen Le Hara
@chasenlehara
We’ll be LIVE in just a little bit with our contributors meeting, where we demo what we’ve been working on and get nerdy about various topics: https://www.youtube.com/watch?v=XZEzZY9vN9Q
Chasen Le Hara
@chasenlehara

🆕 We have a new community Slack! I posted about it on our forums: https://forums.donejs.com/t/you-re-invited-to-bitovi-s-community-slack/1018

The TLDR is that for people who already use Slack, this’ll be even easier than coming here on Gitter. If you haven’t used Slack before, you might like it a lot better than Gitter.

That Slack also has more topics than just Bitovi’s open source projects, so come over to talk about design, React, & more.

Anyone can join here: https://tinyurl.com/BitoviCommunitySlack

Adam L Barrett
@BigAB
Any way to use Babel 7 with steal?
Chasen Le Hara
@chasenlehara
@BigAB I haven’t tried, but would setting this config and doing your own transpiling work? https://stealjs.com/docs/StealJS.babel.html#specifying-version
Adam L Barrett
@BigAB
Thanks @chasenlehara, I even looked at that page, but skimmed I guess, I think that was exactly what I was looking for
Chasen Le Hara
@chasenlehara
@BigAB It’d be good to know if that works for Babel 7 (or if there’s any other config that’s required). Let us know if you try it. :D
pankaj2feb
@pankaj2feb
Hi, I need help with StealJS 1. Migrated StealJS0.15 to StealJS1.12 and facing problem with steal-build through grunt. Application index.js files contains Running "steal-build:main" (steal-build) task
OPENING: index . import $ from jquery
Build has failed. { Error: Could not load 'jquery@2.1.4#jquery'
Is this an npm module not saved in your package.json?
Sorry for typo in above question.

Hi, I need help with StealJS 1. Migrated StealJS0.15 to StealJS1.12 and facing problem with steal-build through grunt. Application index.js files contains
"import $ from jquery" statement. On building application we are getting below error.

Running "steal-build:main" (steal-build) task
OPENING: index
Build has failed. { Error: Could not load 'jquery@2.1.4#jquery'
Is this an npm module not saved in your package.json?

pankaj2feb
@pankaj2feb
Please suggest some solution for above issue. Same code base was building properly with StealJS0.15
Chasen Le Hara
@chasenlehara
@pankaj2feb I don’t think there was an official release of steal-tools 1.12, are you having the same issue on 1.11.10?
Or is 1.12 the steal version?
Also, which version of jquery is in your package.json?
pankaj2feb
@pankaj2feb
We have "steal@1.12.6", jquery version 2.1.4
pankaj2feb
@pankaj2feb
"steal-tools": "^1.11.10",
pankaj2feb
@pankaj2feb
@chasenlehara We have "steal@1.12.6", jquery version 2.1.4, "steal-tools": "^1.11.10",
Chasen Le Hara
@chasenlehara
@pankaj2feb Sorry for not responding earlier. What does npm ls jquery show?
pankaj2feb
@pankaj2feb
@chasenlehara No problem, npm ls jquery shows
@chasenlehara ├─┬ can@2.3.33
│ └── jquery@2.2.4
├─┬ datatables@1.10.13
│ └── jquery@2.1.4 deduped
├─┬ documentjs@0.3.6
│ └── jquery@1.11.3
├─┬ done-component@0.4.1
│ └── jquery@2.2.4
├─┬ file-droplet@0.2.0
│ └── jquery@2.1.4
├─┬ funcunit@3.5.0
│ └── jquery@1.11.0
├─┬ grid-component@0.6.1
│ └── jquery@2.1.4
├── jquery@2.1.4
└─┬ multi-select@0.3.4
└── jquery@2.1.4
Chasen Le Hara
@chasenlehara
Could you post your package.json?
Chasen Le Hara
@chasenlehara
Join us for our (last?) contributors meeting where we give demos of what we’ve been working on and talk about nerdy open source topics! https://www.youtube.com/watch?v=i3dXyYSp-h4
Chasen Le Hara
@chasenlehara
Hey everyone, we’re hosting our first online meetup on February 14th at 9 am Pacific Time! We’ll have a handful of short talks on a variety of interesting topics, plus time afterwards to chat and put the meet in meetup.
Also, we’re now on Slack too! I posted about it on our forums: https://forums.donejs.com/t/you-re-invited-to-bitovi-s-community-slack/1018
You can join the Slack here: https://tinyurl.com/BitoviCommunitySlack
Chasen Le Hara
@chasenlehara
Our community survey goes out today! We’re going to talk about it LIVE in just a few minutes: https://www.youtube.com/watch?v=UxBJtHm4Km0
Chasen Le Hara
@chasenlehara
Today’s the last day to vote in our latest community survey! 🗳 https://www.surveymonkey.com/r/bitovi-feb-2019
Chasen Le Hara
@chasenlehara
Our next online meetup is going to be on Thursday, March 21st! Register here and check out the videos from our last meetup: https://www.bitovi.com/blog/save-the-date-march-21st-for-our-next-online-meetup-and-videos-from-februarys-meetup
Michael Bowen
@mikeebowen
Hi, Are there plans to approve this pull request to update steal-less to the latest version of less? stealjs/steal-less#65
Chasen Le Hara
@chasenlehara
Hi @mikeebowen, I just updated the PR to see if the tests pass
Not sure if we’d need to release a new major version or just widen the existing semver range
BTW, almost everyone’s moved to our new Slack, you’ll find lots of people there: https://www.bitovi.com/community/slack
Michael Bowen
@mikeebowen
thanks @chasenlehara I would really like to use the functions introduced in less 3+
cool, I'll get the slack channel
Ngaosathe
@ThekhoN
Hi we are using an old version of stealjs - 0.15
how can i configure it to support babel-presets?
Chasen Le Hara
@chasenlehara
Hi @ThekhoN, everyone’s moved to the new Slack, I would join and post your question in the #stealjs channel there: https://www.bitovi.com/community/slack